/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oa.entity.OaAttendancePlace;

import java.util.List;

/**
 * 财务报销DAO接口
 * @author 孟祥越
 * @version 2017-05-02
 */
@MyBatisDao
public interface OaAttendancePlaceDao extends CrudDao<OaAttendancePlace> {

    String getPlaceNameById(String placeId);
}