/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oaperformance.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oaperformance.entity.OaPerformance;

/**
 * 绩效自评DAO接口
 * @author liuw
 * @version 2018-01-17
 */
@MyBatisDao
public interface OaPerformanceDao extends CrudDao<OaPerformance> {

    /**
     * 更新流程实例ID
     * @param OaPerformance
     * @return
     */
    public int updateProcessInstanceId(OaPerformance oaPerformance);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public OaPerformance getByProcessInstanceId(String processInstanceId);
}