/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.project.entity.Projectgeneral;
import com.jeeplus.modules.project.dao.ProjectgeneralDao;

/**
 * 项目概况Service
 * @author 姚儒彬
 * @version 2017-10-11
 */
@Service
@Transactional(readOnly = true)
public class ProjectgeneralService extends CrudService<ProjectgeneralDao, Projectgeneral> {

	public Projectgeneral get(String id) {
		return super.get(id);
	}
	
	public List<Projectgeneral> findList(Projectgeneral projectgeneral) {
		return super.findList(projectgeneral);
	}
	
	public Page<Projectgeneral> findPage(Page<Projectgeneral> page, Projectgeneral projectgeneral) {
		return super.findPage(page, projectgeneral);
	}
	
	@Transactional(readOnly = false)
	public void save(Projectgeneral projectgeneral) {
		super.save(projectgeneral);
	}
	
	@Transactional(readOnly = false)
	public void delete(Projectgeneral projectgeneral) {
		super.delete(projectgeneral);
	}
	
	
	
	
}