/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysmodular.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sysmodular.entity.SysModular;

import java.util.List;

/**
 * 业务模块DAO接口
 * @author ssrh
 * @version 2018-08-17
 */
@MyBatisDao
public interface SysModularDao extends CrudDao<SysModular> {
    List<SysModular> findTable(String dbName);
    List<SysModular> findByTableName(SysModular sysModular);

}