/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workattendance.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workattendance.entity.WorkAttendanceMonth;
import com.jeeplus.modules.workattendance.dao.WorkAttendanceMonthDao;

/**
 * 考勤月统计Service
 * @author 杨帆
 * @version 2018-09-10
 */
@Service
@Transactional(readOnly = true)
public class WorkAttendanceMonthService extends CrudService<WorkAttendanceMonthDao, WorkAttendanceMonth> {

	public WorkAttendanceMonth get(String id) {
		return super.get(id);
	}
	
	public List<WorkAttendanceMonth> findList(WorkAttendanceMonth workAttendanceMonth) {
		return super.findList(workAttendanceMonth);
	}
	
	public Page<WorkAttendanceMonth> findPage(Page<WorkAttendanceMonth> page, WorkAttendanceMonth workAttendanceMonth) {
		return super.findPage(page, workAttendanceMonth);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkAttendanceMonth workAttendanceMonth) {
		super.save(workAttendanceMonth);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkAttendanceMonth workAttendanceMonth) {
		super.delete(workAttendanceMonth);
	}
	
	
	
	
}