/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullconstructsheet.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workfullconstructsheet.entity.WorkFullConstructsheet;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;

import java.util.List;

/**
 * 施工联系单DAO接口
 * @author fgy
 * @version 2017-11-06
 */
@MyBatisDao
public interface WorkFullConstructsheetDao extends CrudDao<WorkFullConstructsheet> {


    List<WorkFullManage> getListOfWorkFullManage(WorkFullManage workFullManage);

    void updateProcessInstanceId(WorkFullConstructsheet workFullConstructsheet);

    void updateStatus(WorkFullConstructsheet workFullConstructsheet);

    List<WorkFullConstructsheet> findList(WorkFullConstructsheet workFullConstructsheet);

    WorkFullConstructsheet getByProcessInstanceId(String processInstanceId);
}