/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmonthlyplan.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workmonthlyplan.entity.WorkMonthlyPlanThis;

import java.util.List;

/**
 * 本月计划DAO接口
 * @author cyp
 * @version 2018-06-27
 */
@MyBatisDao
public interface WorkMonthlyPlanThisDao extends CrudDao<WorkMonthlyPlanThis> {
	public List<WorkMonthlyPlanThis> findByWorkMonthlyPlanId(String workMonthlyPlanId);
	public List<WorkMonthlyPlanThis> findByWorkMonthlyPlanThis(String workMonthlyPlanId);
	public List<WorkMonthlyPlanThis> findHisList(String officeId);
}