/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.isignature.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.isignature.entity.ISignatureDocument;

/**
 * 电子签章信息DAO接口
 * @author fgy
 * @version 2018-04-17
 */
@MyBatisDao
public interface ISignatureDocumentDao extends CrudDao<ISignatureDocument> {

    void updateSelective(ISignatureDocument iSignatureDocument);

    ISignatureDocument getByRecordId(String recordId);
    int getCount(String workContractId);
}