/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workactivitymenu.dao;

import com.jeeplus.common.persistence.TreeDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workactivitymenu.entity.WorkActivityMenu;

import java.util.List;

/**
 * 流程表DAO接口
 * @author yangfan
 * @version 2018-01-17
 */
@MyBatisDao
public interface WorkActivityMenuDao extends TreeDao<WorkActivityMenu> {

    List<WorkActivityMenu> findByList(WorkActivityMenu workActivityMenu);

    List<WorkActivityMenu> findTreeData(WorkActivityMenu workActivityMenu);

    List<WorkActivityMenu> findByParentAndOffice(WorkActivityMenu workActivityMenu);
}