/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workclientinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workclientinfo.entity.WorkClientBank;

import java.util.List;

/**
 * 客户开行信息DAO接口
 * @author mapengbo
 * @version 2017-10-11
 */
@MyBatisDao
public interface WorkClientBankDao extends CrudDao<WorkClientBank> {

    List<WorkClientBank> findListByClient(WorkClientBank workClientBank);
}