/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontractinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workcontractinfo.entity.WorkContractReview;

import java.util.List;

/**
 * 合同评价表DAO接口
 * @author 杨帆
 * @version 2018-03-23
 */
@MyBatisDao
public interface WorkContractReviewDao extends CrudDao<WorkContractReview> {

    public WorkContractReview getByContractId(String contractId);
	
}