/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullsupervisorsheet.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;
import com.jeeplus.modules.workfullsupervisorsheet.entity.WorkFullSupervisorsheet;

import java.util.List;

/**
 * 监理联系单DAO接口
 * @author fgy
 * @version 2017-11-08
 */
@MyBatisDao
public interface WorkFullSupervisorsheetDao extends CrudDao<WorkFullSupervisorsheet> {


    void updateProcessInstanceId(WorkFullSupervisorsheet workFullSupervisorsheet);

    void updateStatus(WorkFullSupervisorsheet workFullSupervisorsheet);

    List<WorkFullManage> getListOfWorkFullManage(WorkFullManage workFullManage);

    WorkFullSupervisorsheet getByProcessInstanceId(String processInstanceId);
}