/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemcollar.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workitemcollar.entity.WorkItemCollar;
import com.jeeplus.modules.workitemcollar.entity.WorkItemCollarCatalog;

import java.util.List;

/**
 * 领用物品子表DAO接口
 * @author chenyuping
 * @version 2018-07-16
 */
@MyBatisDao
public interface WorkItemCollarCatalogDao extends CrudDao<WorkItemCollarCatalog> {
  public  List<WorkItemCollarCatalog> findByWorkItemCollarId(WorkItemCollar workItemCollar);
}