/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprojectdeposit.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workprojectdeposit.entity.WorkProjectDeposit;

import java.util.List;

/**
 * 保证金模块DAO接口
 * @author 杨帆
 * @version 2017-12-26
 */
@MyBatisDao
public interface WorkProjectDepositDao extends CrudDao<WorkProjectDeposit> {
    public List<WorkProjectDeposit> getByPid(String bidingProjectid);

	public void updateState (WorkProjectDeposit workProjectDeposit);
    public void updateStatus (WorkProjectDeposit workProjectDeposit);

    List<WorkProjectDeposit> getByBidingProjectId(String workBidingProjectId);

    public WorkProjectDeposit getById(String id);
}