/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursementcount.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreimbursementcount.entity.WorkInvoiceOffice;
import com.jeeplus.modules.workreimbursementcount.entity.WorkReimbursementOffice;

import java.util.List;

/**
 * 报销统计
 * @author 陈玉平
 * @version 2018-07-03
 */
@MyBatisDao
public interface WorkInvoiceOfficeDao extends CrudDao<WorkInvoiceOffice> {

	public List<WorkInvoiceOffice> findOfficeList(WorkInvoiceOffice workInvoiceOffice);
	public String getConpanyType(String conpanyId);
	WorkInvoiceOffice findOfficeListSum(WorkInvoiceOffice workInvoiceOffice);
}