/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreview.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.TreeDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreview.entity.WorkReviewStandard;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 复核标准DAO接口
 * @author ssrh
 * @version 2018-06-01
 */
@MyBatisDao
public interface WorkReviewStandardDao extends CrudDao<WorkReviewStandard>,TreeDao<WorkReviewStandard> {


    List<WorkReviewStandard> fingIds(@Param("parentIdSet")Set<String> parentIdSet,@Param("companyId")String companyId);
    List<WorkReviewStandard> fingByIds(@Param("parentIdSet")Set<String> parentIdSet,@Param("companyId")String companyId,@Param("parentIds")String parentIds);

    String selectOrderNum(String parentId);

    List<WorkReviewStandard> getByDetail();
}